directory-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pierre-Arnaud Marcelot" ...@marcelot.net>
Subject Re: <<Where is the Configuration editor >>
Date Thu, 15 May 2008 15:59:02 GMT
As I said in my previous mail, Studio version 1.1.0 does not support Apache
DS 1.5.2 config file.
This support is under development and will be part of the 1.2.0 release of
Studio.

Eventhough, you shouldn't have an ugly NullPointerException when you try to
open an unsupported config file... I'll try to fix this issue for 1.2.0 too.

Are you using Apache Directory Studio as a standalone application or within
Eclipse ?

Thanks

On Thu, May 15, 2008 at 5:43 PM, Kevin Sitron <ksitron@elp.rr.com> wrote:

>
> It's a 1.5.2 server.xml file.
>
>
> On Thu, 2008-05-15 at 17:28 +0200, Pierre-Arnaud Marcelot wrote:
> > Hi Kevin,
> >
> > What kind of server.xml file are you trying to open ? 1.5.1 ? 1.5.2 ?
> >
> > Thanks,
> > Pierre-Arnaud
> >
> > On Thu, May 15, 2008 at 4:25 PM, Kevin Sitron <ksitron@elp.rr.com>
> wrote:
> >
> > > Hi Pierre,
> > >
> > > Thanks for addressing my problem.
> > > However, when I tried what you suggest.
> > > I received a pop-error dialog with the following:
> > >
> > > Error opening the editor. java.lang.NullPointerException
> > >
> > >
> > > On Thu, 2008-05-15 at 08:55 +0200, Pierre-Arnaud Marcelot wrote:
> > > > Hi Kevin,
> > > >
> > > > Actually the Apache DS Configuration Editor is still there. Since
> version
> > > > 1.0.1, we've removed the Apache DS menu to something less intrusive.
> > > >
> > > > You can now create a new Apache DS configuration file using the "New
> > > Apache
> > > > DS Configuration File" wizard from the menu ('File' > 'New' > 'Other'
> >
> > > > 'Apache DS' > 'New Apache DS Configuration File'.
> > > > To open an existing server.xml file on your disk, you can use the
> 'File'
> > > >
> > > > 'Open...' action. Studio should detect that this is an Apache DS
> > > > configuration file and load it in the appropriate editor.
> > > >
> > > > Studio version 1.1.0 only supports editing the configuration of
> Apache DS
> > > > 1.5.1, while version 1.0.1 supported Apache DS 1.5.0.
> > > > I'm currently working on multiple version support and the next
> version of
> > > > Studio (1.2.0) will support Apache DS 1.5.0, 1.5.1 and 1.5.2 (and
> 1.5.3
> > > if
> > > > it's out before Studio 1.2.0).
> > > >
> > > > Hope this helps.
> > > >
> > > > Pierre-Arnaud
> > > >
> > > > On Thu, May 15, 2008 at 12:58 AM, Alex Karasulu <
> akarasulu@apache.org>
> > > > wrote:
> > > >
> > > > > On Wed, May 14, 2008 at 6:42 PM, Kevin Sitron <ksitron@elp.rr.com>
> > > wrote:
> > > > >
> > > > > > In short. WHERE IS IT.
> > > > > >
> > > > >
> > > > > Not in there.  Pierre is currently working on upgrading it for
> ApacheDS
> > > > > 1.5.2.  The configuration has changed so this is needed.  You can
> > > build
> > > > > the
> > > > > plugin and install yourself if you like from the sources.  Pierre
> may
> > > > > comment as to how ready it is.
> > > > >
> > > > > Alex
> > > > >
> > >
> > >
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message